/****************************************************************************
*                patches.h
*
*  header file for patches related preprocessor settings
*  included in 'frame.h'
*
*  for Persistence of Vision(tm) Ray Tracer
*
*
*  Sim-POV version 0.1.0
*  October 2002
*  Christoph Hormann
*
*****************************************************************************/

/*=======================================================================*/

#define CHRIS_H_PATCH

#define MechSimPatch            /* Christoph Hormann August 2002 */
#define RadFunctionPatch        /* Christoph Hormann September 2002 */
#define RadAdaptiveCountPatch   /* Christoph Hormann September 2002 */
#define RadCacheThresholdPatch  /* Christoph Hormann September 2002 */
#define RadMethodPatch          /* Christoph Hormann September 2002 */

#define F_TrianglePatch         /* Christoph Hormann September 2002, patch by ABX */

/*=======================================================================*/

#ifdef CHRIS_H_PATCH            /* Christoph Hormann October 2002 */

  #define UNOFFICIAL_VERSION
  #define UNOFFICIAL_VERSION_NUMBER 10

#endif

#ifdef MechSimPatch             /* Christoph Hormann August 2002 */

  #ifndef MECHSIM_DEBUG
    #define MECHSIM_DEBUG 0
  #endif

#endif
